Author Topic: Firmware error, can't install ML...  (Read 3661 times)

JoeJoe

  • New to the forum
  • *
  • Posts: 2
Firmware error, can't install ML...
« on: October 23, 2016, 10:08:23 PM »
Hello everyone!

I'm a brand new ML's user and I already have a problem, it's on my installation process.

I have done everything I had to install it on my Canon 550D (Rebel T2i for the americans) and when I click on the update button to upload ML on my DSLR it tells me that it was expecting a 1.0.9 firmware and a 550D but I actually have the 1.0.9 installed and a 550D...

I have deleted ML by format my SD card then I tried to install the officiel 1.0.9 Canon firmware and there was an other error.. So I install ML once again on my SD then tried to install it again on my DSLR, and still the same problem...
I hope you guys have a solution, I'd really like to have ML!

And btw I also hope I put my problem on the right part of the forum, if I didn't please tell me!

Thank you by advance guys!

Walter Schulz

  • Contributor
  • Hero Member
  • *****
  • Posts: 8431
Re: Firmware error, can't install ML...
« Reply #1 on: October 24, 2016, 05:03:49 AM »
Use a card with 32 GByte or less capacity.
Format card in cam.
Copy Canon firmware file to card
Run firmware update with this card.
Report results.

As long as you are unable to perform standard firmware operations there is no use running ML installation.

JoeJoe

  • New to the forum
  • *
  • Posts: 2
Re: Firmware error, can't install ML...
« Reply #2 on: October 24, 2016, 04:34:01 PM »
Hey thanks for replying!
My card is a 64GB, is it the reason of the crash? Can't I use it for ML?

Walter Schulz

  • Contributor
  • Hero Member
  • *****
  • Posts: 8431
Re: Firmware error, can't install ML...
« Reply #3 on: October 24, 2016, 09:28:24 PM »
You can use it but it seems to be not working for firmware operations. Therefore you need another (smaller) card for this part.
After first time installation you have to use EOScard (Windows) or MacBoot (OS X/macOS) to make card bootable. Copy extracted nightly build contents to card. If you are running Windows I recommend to wipe all files and directories from card before copying nightly build contents to card.

a1ex

  • Administrator
  • Hero Member
  • *****
  • Posts: 12564
Re: Firmware error, can't install ML...
« Reply #4 on: October 24, 2016, 09:55:58 PM »
OP's problem is not being able to run Canon firmware update (nothing to do with EOScard).

He was able to run ML installer, but he has the wrong firmware version. First bullet point from http://wiki.magiclantern.fm/install#troubleshooting (except that latest installer prints a message instead of blinking the LED).